Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dtu.library.app
Class TestSearchMedia

    java.lang.Object
      dtu.library.app.TestSearchMedia

    public class TestSearchMedia

extends java.lang.Object

Constructor Summary
`TestSearchMedia()`

Method Summary
`void` | `setUp()` Create the sample data for the search test cases.
`void` | `testSearchBooks1()` Tests searching for books in the library.
`void` | `testSearchBooks2()` Tests searching for books in the library.
`void` | `testSearchBooks3()` Tests searching for books in the library.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestSearchMedia

    public TestSearchMedia()

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

  Create the sample data for the search test cases. This method is executed each time one of the test methods is run. In contrast to old JUnit versions, it is now the @Before annotations that marks this method to be run before each test case and not the name setUp().

  Throws:
    `java.lang.Exception`

### testSearchBooks1

    public void testSearchBooks1()

  Tests searching for books in the library. Tests that the search finds matches a substring in the author field of a book.

### testSearchBooks2

    public void testSearchBooks2()

  Tests searching for books in the library. Tests that the search finds matches a substring in the author field of a book and in the title field of a book. Tests that two books can be returned.

### testSearchBooks3

    public void testSearchBooks3()

  Tests searching for books in the library. Tests that an empty list is returned if no matches are found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD